#ifndef PLAYERSHIP_ADASDSADSADSADSAADGFSHGTDJHG
#define PLAYERSHIP_ADASDSADSADSADSAADGFSHGTDJHG

#include "ObjMesh.h"
#include <fmod/fmod.h>

#define ALIVE 0
#define HIT 1
#define DYING 2
#define DEAD 3

class CPlayerShip
{
      
private:
      sVector acceleration;
      CObjMesh model;
      float health;
      int status;
      int shipTimer;
      
      
public:
      
      void update();
      void Render(float alpha);
      sVector getPos();
      sVector getDirection();
      void setPos(sVector pos);
      void Load();
      void Accelerate(sVector accel);
      void Hit();
      float getHealth();
      
      CPlayerShip();
      ~CPlayerShip();
		// No description
		int getStatus();
		// No description
		void Reset();
};

#endif
